Name:           pyff
Version:        2.0.0
Release:        %mkrel 5
Summary:        SAML metadata aggregator
Group:          File tools
License:        BSD
URL:            https://github.com/IdentityPython/pyFF
Source0:        https://github.com/IdentityPython/pyFF/archive/%{version}/pyFF-%{version}.tar.gz
Patch0:         pyFF-1.0.0-fix-future-import.patch
Patch1:         pyFF-1.0.0-fix-futures-dependency.patch
BuildRequires:  python3-setuptools
BuildRequires:  python3-recommonmark
BuildRequires:  python3-devel
BuildArch:      noarch

%description
This is a SAML metadata aggregator written in python. It is based on the model
for metadata exchange by Ian Young:
http://iay.org.uk/blog/2008/10/metadata_interc.html

%prep
%setup -q -n pyFF-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyff

%files -f %{pyproject_files}
%doc NEWS.txt README.rst examples
%{_bindir}/pyff
%{_bindir}/pyffd
%{_bindir}/samldiff
%{_bindir}/mirror-mdq.sh


%changelog
* Fri Mar 07 2025 daviddavid <daviddavid> 2.0.0-5.mga10
+ Revision: 2161571
- switch to pyproject

* Fri Mar 07 2025 daviddavid <daviddavid> 2.0.0-4.mga10
+ Revision: 2161358
- rebuild for python 3.13

* Wed Feb 21 2024 daviddavid <daviddavid> 2.0.0-3.mga10
+ Revision: 2042747
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1833356
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 2.0.0-1.mga9
+ Revision: 1785892
- version 2.0.0
- fixed Source0
- rebuild for python-3.10

* Sun Mar 21 2021 guillomovitch <guillomovitch> 1.1.5-1.mga9
+ Revision: 1707140
- new version 1.1.5

* Sat Apr 18 2020 guillomovitch <guillomovitch> 1.1.2-1.mga8
+ Revision: 1568820
- new version 1.1.2

* Mon Feb 17 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1537750
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 1.1.1-1.mga8
+ Revision: 1458683
- ship examples, instead of API documentation
- new version 1.1.1

* Wed Sep 25 2019 daviddavid <daviddavid> 1.0.1-2.mga8
+ Revision: 1445746
- rebuild for python3.8

* Tue Jul 02 2019 guillomovitch <guillomovitch> 1.0.1-1.mga8
+ Revision: 1417490
- imported package pyff

